Package org.apache.cxf.interceptor.security.callback

# Class CallbackHandlerTlsCert

java.lang.Object
org.apache.cxf.interceptor.security.callback.CallbackHandlerTlsCert

All Implemented Interfaces:
  `CallbackHandlerProvider`

public class CallbackHandlerTlsCert extends Object implements CallbackHandlerProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallbackHandlerTlsCert()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CallbackHandler`
  `create(Message message)`
  `void`
  `setCertMapper(CertificateToNameMapper certMapper)`
  `void`
  `setFixedPassword(String fixedPassword)`
  `void`
  `setNameToPasswordMapper(NameToPasswordMapper nameToPasswordMapper)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CallbackHandlerTlsCert

    public CallbackHandlerTlsCert()

- ## Method Details

  - ### create

    public CallbackHandler create(Message message)
    Specified by:
      `create` in interface `CallbackHandlerProvider`

  - ### setCertMapper

    public void setCertMapper(CertificateToNameMapper certMapper)

  - ### setFixedPassword

    public void setFixedPassword(String fixedPassword)

  - ### setNameToPasswordMapper

    public void setNameToPasswordMapper(NameToPasswordMapper nameToPasswordMapper)